#ifndef DIALOG_H
#define DIALOG_H
extern DIALOG main_menu_dialog[];
extern DIALOG newgame_menu_dialog[];
extern DIALOG game_params_dialog[];

#define GP_PLAYER_CHECK    4
#define GP_PLAYER_NAME     12
#define GP_AUTO_ENDT       20
#define GP_TILESET         22
#define GP_STARTTILE       24
#define GP_SCORES          26
#define GP_CAPTION         33
#define GP_MEN             40
#define GP_MEN_CAPTION     44

extern void dialog_init(void);
extern int game_popup_dialog(DIALOG *dialog, int focus_obj, int block);
extern int game_update_dialog(void);
extern int game_close_dialog(void);
extern int dialog_open(void);
extern int get_dialog_x(void);
extern int get_dialog_y(void);
extern int get_dialog_w(void);
extern int get_dialog_h(void);

extern int d_scrnshot_proc (void);

extern int d_gfxedit_proc(int msg, DIALOG *d, int c);
extern int d_pwd_key_proc(int msg, DIALOG *d, int c);
extern int d_textbut_agui_proc(int msg, DIALOG *d, int c);
extern int d_ctextbut_agui_proc(int msg, DIALOG *d, int c);
extern int d_gfxtext_proc (int msg, DIALOG *d, int k);
extern int d_mbitmap_proc(int msg, DIALOG *d, int c);
extern int d_tbitmap_proc(int msg, DIALOG *d, int c);
extern int d_butgfx_agui_proc(int msg, DIALOG *d, int c);
extern int d_butgfx_proc(int msg, DIALOG *d, int c);
extern int d_tbutgfx_agui_proc(int msg, DIALOG *d, int c);
extern int d_gfxcheck_proc(int msg, DIALOG *d, int c);
extern int d_gfxradio_proc(int msg, DIALOG *d, int c);
extern int d_gamemusic_proc(int msg, DIALOG *d, int c);
extern int d_checklist_proc(int msg, DIALOG *d, int c);

extern void game_message (char *msg,...) __attribute__ ((format(printf, 1, 2)));
extern void popup_message (char *msg,...) __attribute__ ((format(printf, 1, 2)));
extern int get_password(char *password);
extern void get_name(char *name);

extern void update_game_params_dialog(char **playernames, int max_chars, int *player_flags, int net_game, int local_player);

extern void popup_options(void);
extern void popup_tip_dialog(void);
extern int popup_game_quit_dialog(void);
extern void popup_game_victory_dialog(void);
extern int popup_ingame_menu(void);
extern void popup_network_options(char *server_ip, char *playername, int *conntype);
#endif
